package ws

import (
	"github.com/labstack/echo/v4"
	"golang.org/x/net/websocket"
)

func HandleWSPubSub(c echo.Context) error {
	websocket.Handler(func(ws *websocket.Conn) {
		defer ws.Close()
		for {
			// Write
			err := websocket.Message.Send(ws, "Hello, Client!")
			if err != nil {
				return
			}

			// Read
			msg := ""
			err = websocket.Message.Receive(ws, &msg)
			if err != nil {
				return
			}
		}
	}).ServeHTTP(c.Response(), c.Request())
	return nil
}
