package ws

import (
	"fmt"

	"github.com/labstack/echo/v4"
	"golang.org/x/net/websocket"
)

func HandleWSReqRep(c echo.Context) error {
	websocket.Handler(func(ws *websocket.Conn) {
		defer ws.Close()
		for {
			// Read
			msg := ""
			err := websocket.Message.Receive(ws, &msg)
			if err != nil {
				return
			}
			fmt.Println(msg)

			// Write
			err = websocket.Message.Send(ws, "OK")
			if err != nil {
				return
			}

		}
	}).ServeHTTP(c.Response(), c.Request())
	return nil
}
